HanMacWrdJGraphInternal::FrameFormat Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdJGraphInternal::FrameFormat Struct Reference

a frame format in HanMacWrdJGraph More...

## Public Member Functions
| FrameFormat ()
| constructor More...
void | addTo (MWAWGraphicStyle &style) const
| add property to frame extra values More...

## Public Attributes
MWAWGraphicStyle | m_style
| the graphic style More...
int | m_borderType
| the border type More...
double | m_intWrap [4]
| the interior wrap dim More...
double | m_extWrap [4]
| the exterior wrap dim More...

## Friends
std::ostream & | operator<< (std::ostream &o, FrameFormat const &frmt)
| operator<< More...

## Detailed Description

a frame format in HanMacWrdJGraph

## Constructor & Destructor Documentation

HanMacWrdJGraphInternal::FrameFormat::FrameFormat | ( |  | ) |
| inline

constructor

## Member Function Documentation

void HanMacWrdJGraphInternal::FrameFormat::addTo | ( | MWAWGraphicStyle & | style | ) | const
| inline

add property to frame extra values

Referenced by HanMacWrdJGraph::sendTextbox().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FrameFormat const & | frmt
| ) |  |
| friend

operator<<

## Member Data Documentation

int HanMacWrdJGraphInternal::FrameFormat::m_borderType

the border type

Referenced by addTo(), and HanMacWrdJGraph::readFrames().

double HanMacWrdJGraphInternal::FrameFormat::m_extWrap[4]

the exterior wrap dim

Referenced by FrameFormat(), and HanMacWrdJGraph::readFrames().

double HanMacWrdJGraphInternal::FrameFormat::m_intWrap[4]

the interior wrap dim

Referenced by FrameFormat(), and HanMacWrdJGraph::readFrames().

MWAWGraphicStyle HanMacWrdJGraphInternal::FrameFormat::m_style

the graphic style

Referenced by addTo(), FrameFormat(), HanMacWrdJGraph::readFrames(), HanMacWrdJGraph::sendComment(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), and HanMacWrdJGraph::sendShapeGraph().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx